package model

import (
	"time"
)

type Order struct {
	Id             int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Oid            int64     `json:"oid" xorm:"comment('订单号') BIGINT(20)"`
	State          int       `json:"state" xorm:"default 0 comment('状态 0待制作 1制作中 2烘焙中 3分拣中 4已完成 5已取消') INT(11)"`
	CreateAt       time.Time `json:"create_at" xorm:"comment('下单时间') DATETIME"`
	CancelAt       time.Time `json:"cancel_at" xorm:"comment('取消时间') DATETIME"`
	EnterpriseId   int       `json:"enterprise_id" xorm:"default 0 comment('校企id') INT(11)"`
	BuyInfo        string    `json:"buy_info" xorm:"comment('购买人信息 json') VARCHAR(2000)"`
	Amount         string    `json:"amount" xorm:"default 0.00 comment('付款金额') DECIMAL(20,2)"`
	BuyPhone       string    `json:"buy_phone" xorm:"comment('购买人手机') VARCHAR(20)"`
	EnterpriseName string    `json:"enterprise_name" xorm:"comment('校企名称') VARCHAR(20)"`
}
